/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package HumanResMgmt.PositionRequest;

import java.util.Vector;
import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class PositionRequest {
    public void makePositionRequest() {
    }

    public void addDetail() {
    }

    /**  */
    public BigDecimal estimateCostToFulfill() {
        return new BigDecimal(0);
    }

    public BigDecimal calcCostToFulfill() {
        return new BigDecimal(0);
    }

    public void complete() {
    }

    public void cancel() {
    }

    public boolean checkAuthorization() {
        return false;
    }

    public boolean mi_isBudgetedFor() {
        return false;
    }

    public boolean mi_isFulfilled() {
        return false;
    }

    public BigDecimal mi_estimatePercentComplete() {
        return new BigDecimal(0);
    }

    public static Vector listPositionRequests() {
        return new Vector();
    }

    private Date dateRequested;
    private Date dateAuthorized;
    private Date dateCompleted;
    private Date dateCanceled;

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private PositionRequestDetail lnkUnnamed;

    /** @supplierCardinality 1 */
    private IMakePositionRequest lnkUnnamed2;
    private Date dateOfExpiration;
}


